Subject: Re: IDE

From: Sergei Shtylyov <[email-masked]>
Date: Wed, 10 Sep 2008 14:05:18 +0400

Hello.

Sébastien Chrétien wrote:

> Have I to rewrite a IDE driver ?

   Most probably you can use the existing platform drivers: 
drivers/ide/egacy/ide_platform.c or drivers/ata/pata_platform.c.
Create/register a platform device named "pata_platform" with 2 memory 
and 1 IRQ resource, and enable one of those drivers.

> 2008/9/10, Sergei Shtylyov <[email-masked] 
> <mailto:[email-masked]>>:
>
>     Hello.
>
>     Sébastien Chrétien wrote:
>
>         I would like to setup my IDE controller. It uses a generic
>         mapping. And he is located at the adress 0x20003000.
>
>
>      What kin of controller, and what do you mean by generic mapping?
>
>         How can I specifie this adress to the ide driver ?
>
>
>      The usual ways is via the platform device.
>
>

MBR, Sergei